Bug 199262 - [patch] devel/hg-git: Fix for mercurial >= 3.3.3
Summary: [patch] devel/hg-git: Fix for mercurial >= 3.3.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jan Beich
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-04-07 11:43 UTC by Quentin Schwerkolt
Modified: 2015-05-03 07:32 UTC (History)
2 users (show)

See Also:
marco.broeder: maintainer-feedback+


Attachments
Fix hg-git for mercurial >= 3.3.3 (3.26 KB, patch)
2015-04-07 11:43 UTC, Quentin Schwerkolt
no flags Details | Diff
Fix for incompatibility with Mercurial > 3.3.2 (1.15 KB, patch)
2015-04-08 11:57 UTC, Marco Bröder
marco.broeder: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Quentin Schwerkolt 2015-04-07 11:43:01 UTC
Created attachment 155302 [details]
Fix hg-git for mercurial >= 3.3.3

Add an upstream patch for fix hg-git with mercurial >= 3.3.3
Comment 1 Marco Bröder 2015-04-08 11:57:34 UTC
Created attachment 155338 [details]
Fix for incompatibility with Mercurial > 3.3.2

The first patch creates two patch files (double patching) and contains superfluous lines.

Use my clean patch instead, please. Tested and confirmed working with Mercurial > 3.3.2.

Thanks!
Comment 2 Quentin Schwerkolt 2015-04-08 12:28:38 UTC
(In reply to Marco Bröder from comment #1)
Oups, I totally forgot to remove the temporary patch...
Comment 3 commit-hook freebsd_committer 2015-05-03 07:31:38 UTC
A commit references this bug:

Author: jbeich
Date: Sun May  3 07:30:33 UTC 2015
New revision: 385234
URL: https://svnweb.freebsd.org/changeset/ports/385234

Log:
  devel/hg-git: fix when using with mercurial >= 3.3.3

  PR:		199262
  Submitted by:	Quentin Schwerkolt <schwer_q.lists@outlook.com>
  Approved by:	Marco Br?der <marco.broeder@posteo.eu> (maintainer)
  Obtained from:	https://github.com/schacon/hg-git/commit/6331251

Changes:
  head/devel/hg-git/Makefile
  head/devel/hg-git/files/
  head/devel/hg-git/files/patch-hggit_gitdirstate.py
Comment 4 Jan Beich freebsd_committer 2015-05-03 07:32:11 UTC
Thanks. Committed.